Package net.sf.saxon.type

## Interface ListType

- All Superinterfaces:
    `CastingTarget`, `SchemaComponent`, `SchemaType`, `SimpleType`
  All Known Implementing Classes:
    `BuiltInListType`, `UserListType`

      public interface ListType
      extends SimpleType, CastingTarget

  Interface representing a simple type of variety List

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.saxon.type.SchemaComponent

      `SchemaComponent.ValidationStatus`

  - ### Field Summary

    - ### Fields inherited from interface net.sf.saxon.type.SchemaComponent

      `COMPONENT_FUNCTION_TYPE`

    - ### Fields inherited from interface net.sf.saxon.type.SchemaType

      `DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION, DERIVE_BY_SUBSTITUTION`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SimpleType` | `getItemType()` | Returns the simpleType of the items in this ListType.

    - ### Methods inherited from interface net.sf.saxon.type.SchemaComponent

      `getComponentAsFunction, getRedefinitionLevel, getValidationStatus`

    - ### Methods inherited from interface net.sf.saxon.type.SchemaType

      `allowsDerivation, analyzeContentExpression, atomize, checkTypeDerivationIsOK, getBaseType, getBlock, getDerivationMethod, getDescription, getDisplayName, getEQName, getFinalProhibitions, getFingerprint, getName, getNearestNamedType, getStructuredQName, getSystemId, getTargetNamespace, isAnonymousType, isComplexType, isIdRefType, isIdType, isSameType, isSimpleType`

    - ### Methods inherited from interface net.sf.saxon.type.SimpleType

      `getBuiltInBaseType, getTypedValue, getWhitespaceAction, isAtomicType, isBuiltInType, isListType, isNamespaceSensitive, isUnionType, postprocess, preprocess, validateContent`

- - ### Method Detail

    - #### getItemType

          SimpleType getItemType()
                          throws MissingComponentException

      Returns the simpleType of the items in this ListType. This method assumes that the item type has been fully resolved
      Returns:
        the simpleType of the items in this ListType.
      Throws:
        `MissingComponentException` - if the item type has not been fully resolved